AIPlatformWithStatus (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.portlet.autoDisc.AIPlatformWithStatus class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.portlet.autoDisc
Class AIPlatformWithStatus

    java.lang.Object
      org.hyperic.hq.appdef.shared.AIAppdefResourceValue
          org.hyperic.hq.appdef.shared.AIPlatformValue
              org.hyperic.hq.ui.action.portlet.autoDisc.AIPlatformWithStatus

All Implemented Interfaces:
  java.io.Serializable

    public class AIPlatformWithStatus

extends AIPlatformValue

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.shared.AIPlatformValue
`addedAIIpValues, addedAIServerValues, removedAIIpValues, removedAIServerValues, updatedAIIpValues, updatedAIServerValues`

Constructor Summary
`AIPlatformWithStatus(AIPlatformValue aip, ScanStateCore state)`

Method Summary
`boolean` | `getIsAgentReachable()`
`boolean` | `getIsScanning()`
`java.lang.String` | `getStatus()`

Methods inherited from class org.hyperic.hq.appdef.shared.AIPlatformValue
`addAIIpValue, addAIServerValue, agentTokenHasBeenSet, certdnHasBeenSet, cleanAIIpValue, cleanAIServerValue, controlConfigHasBeenSet, copyAIIpValuesFrom, copyAIServerValuesFrom, cpuCountHasBeenSet, cTimeHasBeenSet, customPropertiesHasBeenSet, descriptionHasBeenSet, diffHasBeenSet, equals, fqdnHasBeenSet, getAddedAIIpValues, getAddedAIServerValues, getAgentToken, getAIIpValues, getAIServerValues, getCertdn, getControlConfig, getCpuCount, getCTime, getCustomProperties, getDescription, getDiff, getFqdn, getId, getIgnored, getLastApproved, getLocation, getMeasurementConfig, getMTime, getName, getPlatformTypeName, getProductConfig, getQueueStatus, getRemovedAIIpValues, getRemovedAIServerValues, getUpdatedAIIpValues, getUpdatedAIServerValues, hashCode, hasIdentity, idHasBeenSet, ignoredHasBeenSet, isIdentical, lastApprovedHasBeenSet, locationHasBeenSet, measurementConfigHasBeenSet, mTimeHasBeenSet, nameHasBeenSet, platformTypeNameHasBeenSet, productConfigHasBeenSet, queueStatusHasBeenSet, removeAIIpValue, removeAIServerValue, removeAllAIIpValues, removeAllAIServerValues, setAgentToken, setCertdn, setControlConfig, setCpuCount, setCTime, setCustomProperties, setDescription, setDiff, setFqdn, setId, setIgnored, setLastApproved, setLocation, setMeasurementConfig, setMTime, setName, setPlatformTypeName, setProductConfig, setQueueStatus, toString, updateAIIpValue, updateAIServerValue`

Methods inherited from class org.hyperic.hq.appdef.shared.AIAppdefResourceValue
`getQueueStatusStr, isPlatformDevice`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AIPlatformWithStatus

    public AIPlatformWithStatus(AIPlatformValue aip,
                                ScanStateCore state)

Method Detail

### getIsAgentReachable

    public boolean getIsAgentReachable()

### getIsScanning

    public boolean getIsScanning()

### getStatus

    public java.lang.String getStatus()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.